Hashrate IndexAPI DocumentationEnergy

Get Electricity Generation By Region

GET
/energy/electricity-generation-by-region

/energy/electricity-generation-by-region has rate limitation:

Initially, the API allows for a burst of 20 requests, and afterward, it gradually restores 1 request every 15 seconds until reaching the maximum allowable limit of 20. This limitation is imposed to manage and control the rate at which requests can be made to the API, preventing potential misuse or excessive use of resources.

Electricity Generation by Region

This endpoint provides detailed data on electricity generation by region, allowing users to analyze the energy production across different geographic areas. This data is critical for understanding regional energy supply dynamics and planning for energy distribution.

Authorization

ApiKeyAuth
X-Hi-Api-Key<token>

In: header

Query Parameters

span?string

Time span

Default"7D"

Value in

  • "7D"
  • "1M"
  • "1Y"
  • "5Y"
region?string

Region

Default"ALL"

Value in

  • "CAL"
  • "CAR"
  • "CENT"
  • "FLA"
  • "MIDA"
  • "MIDW"
  • "NE"
  • "NW"
  • "NY"
  • "SE"
  • "SW"
  • "TEN"
  • "TEX"
  • "ALL"

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/energy/electricity-generation-by-region?span=1Y&region=CAL"
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ElectricityGenerationByRegionData.json",  "data": [    {      "region": "string",      "source": "string",      "timestamp": "2019-08-24T14:15:22Z",      "value": 0.1    }  ]}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}